Subject: bug#26588: closed (Re: bug#26588: [PATCH 1/3] licenses: Add Bitstream Vera.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 01 May 2017 19:38:02 +0000

Your bug report

#26588: Add some (non-free?) font licenses.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26588: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26588
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26588: [PATCH 1/3] licenses: Add Bitstream Vera.
From: Clément Lassieur <[email-masked]>
To: Marius Bakke <[email-masked]>
Cc: [email-masked]
Date: Mon, 01 May 2017 21:37:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

>> Ok!  Here are two patches: one adds fsdg-compatible, and the other
>> updates the font package.  I'll also send the 0ad update to the 0ad
>> debbugs thread.
>
> Thanks! These patches LGTM.

I pushed them.  Thank you for the review :-)

Subject: Add some (non-free?) font licenses.
From: Clément Lassieur <[email-masked]>
To: [email-masked]
Date: Fri, 21 Apr 2017 16:46:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The first patch adds Bitstream Vera license, which IMHO is non-free.
Feel free to discuss it though, I'm not sure of the comment I wrote.

The font could be added even though it is non-free because it could be
considered a "Non-fonctional data".  See
https://www.gnu.org/distros/free-system-distribution-guidelines.html#non-functional-data.

The second patch adds Arev license, which is almost like Bitsteam Vera,
and is needed by 0ad-data (which I'm working on).

The third patch fixes font-bitstream-vera, which IMHO erroneously had
X11-style license.